## Overview

ControlsFX is an [open source project][1] for JavaFX that aims to provide really high quality UI controls and other tools to complement the core JavaFX distribution. It has been developed for JavaFX 8.0 and beyond, and has a guiding principle of only accepting new controls / features when all existing code is at an acceptably high level, including thankless jobs like having high quality javadoc documentation. This ensure a high quality release is available at all times, with all experimental work being done in branches of the main code base.

You can learn more about [ControlsFX][1] on its website, and be sure to check out the [features page][2] for an overview of everything ControlsFX offers.

If you think you have a feature you can contribute, a bug you want to fix please review our [guide for contributors][3]

   [1]: http://controlsfx.org
   [2]: http://controlsfx.org/features
   [3]: https://bitbucket.org/controlsfx/controlsfx/wiki/Contributing%20to%20ControlsFX

## Build Status and Project Links

|                                                                                                                                          |
|----------------------------------------------|--------------------------------------------------------------------------------------------|
| Jenkins (ControlsFX 8 build status)           | ![Build Status](http://img.shields.io/jenkins/s/http/jonathangiles.no-ip.biz%3a81/ControlsFX.svg?style=flat)        |
| Jenkins (ControlsFX 9 build status)           | ![Build Status](http://img.shields.io/jenkins/s/http/jonathangiles.no-ip.biz%3a81/ControlsFX%209.svg?style=flat)        |
| Jenkins (ControlsFX samples build status)     | ![Build Status](http://img.shields.io/jenkins/s/http/jonathangiles.no-ip.biz%3a81/ControlsFX%20Samples.svg?style=flat) |
| Jenkins (FXSampler build status)              | ![Build Status](http://img.shields.io/jenkins/s/http/jonathangiles.no-ip.biz%3a81/FXSampler.svg?style=flat)          | 
| Latest published version in Maven Central     | [![Maven Central](http://img.shields.io/maven-central/v/org.controlsfx/controlsfx.svg?style=flat)](https://maven-badges.herokuapp.com/maven-central/org.controlsfx/controlsfx) |
| Open Hub (Repository stats)                   | [![Open Hub project report for ControlsFX](https://www.openhub.net/p/controlsfx/widgets/project_thin_badge.gif)](https://www.openhub.net/p/controlsfx?ref=sample) |
| Version Eye (External project dependencies)   | [![Dependency Status](http://www.versioneye.com/java/org.controlsfx%3Acontrolsfx/badge.svg?style=flat)](http://www.versioneye.com/java/org.controlsfx%3Acontrolsfx) |
| Version Eye (External project references)     | [![Reference Status](http://www.versioneye.com/java/org.controlsfx%3Acontrolsfx/reference_badge.svg?style=flat)](http://www.versioneye.com/java/org.controlsfx%3Acontrolsfx/references) |
| License                                       | [![License](http://img.shields.io/badge/license-BSD--3--Clause-red.svg?style=flat)](https://bitbucket.org/controlsfx/controlsfx/src/default/license.txt) |

Thanks to 

[![IntelliJ Idea](https://upload.wikimedia.org/wikipedia/commons/d/d5/IntelliJ_IDEA_Logo.svg)](https://www.jetbrains.com/idea)